:root {
    --ecap-red-color: #b14d8d;
    --ecap-green-color: #64c194;
    --ecap-blue-color: #3787c6;
    --ecap-white-color: #e7e7e7;
    --ecap-gray-color: #5b5b5b;
    --ecap-black-color: #333132;
    --ecap-gradient: linear-gradient(
        to right,
        #00ebff,
        #00ebff,
        #0098da,
        #0098da,
        #0098da,
        #0098da,
        #0098da,
        #0098da,
        #2e3192
    );
}

ul,
li {
    margin: 0;
    padding: 0;
    list-style: none;
}

* {
    color: var(--ecap-black-color);
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto",
        "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans",
        "Helvetica Neue", sans-serif !important;
}

body {
    min-height: 100vh;
}

main {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.feira-bg-primary {
    background-color: #ffca00;
}

.ecap-bg-gradient {
    background-image: var(--ecap-gradient);
}

.ecap-footer {
    height: 50px;
    padding: 0.5rem 1rem;
}

.ecap-menu-bar {
    position: relative;
}

.ecap-menu-bar::before {
    content: "";
    position: absolute;
    top: 15%;
    height: 70%;
    width: 2px;
    background-color: var(--ecap-gray-color);
}

.ecap-login {
    background-color: var(--ecap-white-color);
}

.ecap-micro-font {
    font-size: 1rem;
}

.ecap-blue-text {
    color: var(--ecap-blue-color);
}

.ecap-accordion {
    cursor: pointer;
}

.ecap-separador {
    position: relative;
    margin-right: 12px;
}

.ecap-separador::after {
    content: "";
    position: absolute;
    width: 2px;
    height: 100%;
    background-color: #333132;
    right: -10px;
}

.ecap-status-pendente {
    color: var(--ecap-blue-color);
}

/* ===== Dates section ===== */

.ecap-dates {
    border-top: 2px solid #000;
    height: 0;
    max-height: 350px;
    background-color: var(--ecap-white-color);
    -webkit-transition: all 1.5s ease-in 0.5s;
    -moz-transition: all 1.5s ease-in 0.5s;
    -o-transition: all 1.5s ease-in 0.5s;
    transition: all 1.5s ease-in 0.5s;
}

.ecap-dates-text {
    opacity: 0;
    -webkit-transition: all 1.5s ease-in-out 0.8s;
    -moz-transition: all 1.5s ease-in-out 0.8s;
    -o-transition: all 1.5s ease-in-out 0.8s;
    transition: all 1.5s ease-in-out 0.8s;
}

.ecap-dates-text-active {
    opacity: 1;
}

.ecap-dates-active {
    height: 100%;
}

.ecap-programacao {
    height: 400px;
}

.ecap-dates ul {
    list-style: none;
    margin: 0;
    padding: 0 5%;
}

/* ===== Buttons section ===== */

.ecap-btn-green {
    color: var(--ecap-white-color);
    background-color: var(--ecap-green-color);
    -webkit-transition: transform 0.3s ease-in-out;
    -moz-transition: transform 0.3s ease-in-out;
    -o-transition: transform 0.3s ease-in-out;
    transition: transform 0.3s ease-in-out;
}

.ecap-btn-blue {
    color: var(--ecap-white-color);
    background-color: var(--ecap-blue-color);
}

.ecap-btn-green:hover {
    -webkit-transform: translateY(-10px);
    -moz-transform: translateY(-10px);
    -o-transform: translateY(-10px);
    transform: translateY(-10px);
}

.ecap-btn-blue:hover,
.ecap-btn-green:hover {
    color: #fff;
}

.ecap-btn-green:focus {
    box-shadow: 0 0 0 0.2rem rgba(50, 193, 50, 0.25);
}

/* ===== Certified section ===== */

.ecap-certified {
    margin: 50px;
    max-width: 500px;
    height: 200px;
    position: relative;
    box-shadow: #5f5f5f 0 0 25px;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

.ecap-certified a {
    color: var(--ecap-black-color);
}

.ecap-certified a:hover {
    color: var(--ecap-white-color);
    text-decoration: none;
}

.ecap-medalha-certificado {
    width: 50px;
    height: 50px;
    position: absolute;
    right: 10px;
    bottom: -15px;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

.ecap-certified:hover > .ecap-medalha-certificado {
    fill: var(--ecap-white-color);
}

.ecap-certified:hover {
    background-color: var(--ecap-blue-color);
    color: var(--ecap-white-color);
    -webkit-transform: scale(1.2, 1.2);
    -moz-transform: scale(1.2, 1.2);
    -o-transform: scale(1.2, 1.2);
    transform: scale(1.2, 1.2);
}

.ecap-certified strong,
.ecap-certified a {
    color: var(--ecap-black-color);
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

.ecap-certified:hover strong,
.ecap-certified:hover a {
    color: var(--ecap-white-color);
}

/* ===== Sidebar section ===== */

.wrapper {
    display: flex;
    width: 100%;
    align-items: stretch;
}

#sidebar {
    min-width: 250px;
    max-width: 250px;
    margin-left: -250px;
    background: var(--ecap-green-color);
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;
}

#sidebar.active {
    margin-left: 0;
}

#content {
    width: 100%;
    min-height: 100vh;
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;
    display: flex;
    flex-direction: column;
}

/* ===== Menu Hamburger ===== */

#ecap-menu-hamburger {
    display: none;
    margin: 9px 0;
    width: 25px;
    height: 25px;
    position: relative;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: 0.5s ease-in-out;
    -moz-transition: 0.5s ease-in-out;
    -o-transition: 0.5s ease-in-out;
    transition: 0.5s ease-in-out;
    cursor: pointer;
}

#ecap-menu-hamburger span {
    display: block;
    position: absolute;
    height: 3px;
    width: 100%;
    background: #fff;
    border-radius: 3px;
    opacity: 1;
    left: 0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: 0.25s ease-in-out;
    -moz-transition: 0.25s ease-in-out;
    -o-transition: 0.25s ease-in-out;
    transition: 0.25s ease-in-out;
}

#ecap-menu-hamburger span:nth-child(1) {
    top: 0px;
    -webkit-transform-origin: left center;
    -moz-transform-origin: left center;
    -o-transform-origin: left center;
    transform-origin: left center;
}

#ecap-menu-hamburger span:nth-child(2) {
    top: 9px;
    -webkit-transform-origin: left center;
    -moz-transform-origin: left center;
    -o-transform-origin: left center;
    transform-origin: left center;
}

#ecap-menu-hamburger span:nth-child(3) {
    top: 18px;
    -webkit-transform-origin: left center;
    -moz-transform-origin: left center;
    -o-transform-origin: left center;
    transform-origin: left center;
}

#ecap-menu-hamburger.open span:nth-child(1) {
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
    top: 1px;
    left: 4px;
}

#ecap-menu-hamburger.open span:nth-child(2) {
    width: 0%;
    opacity: 0;
}

#ecap-menu-hamburger.open span:nth-child(3) {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
    top: 19px;
    left: 4px;
}




/* VIDEOS */
.video {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    color: #fff;
    background-color:rgb(255, 255, 255);
}

.video--mobile {
    width: 100%;
    height: 8.9rem;
}

.video--desktop {
    display: none;
    width: 520;
}

.video__textos {
    margin-top: 1rem;
    margin-bottom: 1rem;
    position: relative;
    padding: 0 10%;
    box-sizing: border-box;
}

.textos__titulo {
    font-weight: 700;
    font-size: 1.2rem;
    margin-bottom: .3rem;
    margin-bottom: .5rem;
}



/* ===== Overwritten styles ===== */

/* .carousel-control-prev-icon {
	background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23000' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E");
}

.carousel-control-next-icon {
	background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23000' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E");
} */

.container-fluid {
    padding-right: 60px;
    padding-left: 60px;
}

.btn-outline-light:hover {
    color: var(--ecap-blue-color);
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
}

/* ===== Media Querys ===== */

@media (max-width: 915px) {
    .ecap-programacao {
        height: 550px;
    }
}

@media (max-width: 1185px) {
    #ecap-menu-hamburger {
        display: block;
    }

    #ecap-links {
        display: none;
    }
}
